#
# spec file for package python3-sphinx_rtd_theme
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-sphinx_rtd_theme
Version:        0.1.8
Release:        2.1
Summary:        ReadTheDocs.org theme for Sphinx, 2013 version
License:        MIT and Apache-2.0 and OFL-1.1
Group:          Development/Languages/Python
Url:            https://github.com/snide/sphinx_rtd_theme
Source:         https://pypi.python.org/packages/source/s/sphinx_rtd_theme/sphinx_rtd_theme-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Recommends:     python3-Sphinx
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a mobile-friendly sphinx_ theme I made for readthedocs.org_. It's
currently in development there and includes some rtd variable checks that can be ignored
if you're just trying to use it on your project outside of that site.

%prep
%setup -q -n sphinx_rtd_theme-%{version}

# Fix wrong-file-end-of-line-encoding
sed -i 's/\r$//' OFL-License.txt

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --optimize=2 --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE Apache-License-2.0.txt OFL-License.txt
%{python3_sitelib}/*

%changelog
* Wed Aug  5 2015 toddrme2178@gmail.com
- Fix license syntax ("and" not "AND")
- Fix end-of-line-encoding issue
* Thu Jul 30 2015 toddrme2178@gmail.com
- Add licenses for fonts to license list and corresponding license
  files to %%doc
* Thu Jul 30 2015 toddrme2178@gmail.com
- Fix spec and changes file names.
- Change python3-Sphinx Requires to Recommends to avoid dependency
  loop.
* Sat May  9 2015 arun@gmx.de
- update to version 0.1.8:
  * Start keeping changelog :)
  * Support for third and fourth level headers in the sidebar
  * Add support for Sphinx 1.3
  * Add sidebar headers for :caption: in Sphinx toctree
  * Clean up sidebar scrolling behavior so it never scrolls out of view
* Sat Mar 14 2015 arun@gmx.de
- initial version
